summaryrefslogtreecommitdiffstats
path: root/cvp/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cvp/install.sh')
-rwxr-xr-xcvp/install.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/cvp/install.sh b/cvp/install.sh
new file mode 100755
index 00000000..d5efba76
--- /dev/null
+++ b/cvp/install.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+usage="
+Script to install opnfv_tesgtapi automatically.
+This script should be run under root.
+
+usage:
+ bash $(basename "$0") [-h|--help] [-t <test_name>]
+
+where:
+ -h|--help show this help text"
+
+# Ref :- https://openstack.nimeyo.com/87286/openstack-packaging-all-definition-data-files-config-setup
+if [ -z "$VIRTUAL_ENV" ];
+then
+ if [[ $(whoami) != "root" ]];
+ then
+ echo "Error: This script must be run as root!"
+ exit 1
+ fi
+else
+ sed -i -e 's#/etc/opnfv_testapi =#etc/opnfv_testapi =#g' setup.cfg
+fi
+
+python setup.py install
+if [ ! -z "$VIRTUAL_ENV" ]; then
+ sed -i -e 's#etc/opnfv_testapi =#/etc/opnfv_testapi =#g' setup.cfg
+fi